Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Allow rbx to fail in 1.9 mode #418

Closed
wants to merge 1 commit into from

2 participants

Jesse Cooke Matthew Horan
Jesse Cooke

In support of rubinius/rubinius#2006 please consider testing Rubinius in 1.9 mode on Travis.

I didn't add rbx-18mode because you aren't testing against MRI 1.8 but if you would like to test against rbx in 1.8 mode please do!

Matthew Horan
Collaborator

Thanks! capybara-webkit is not actually a C extension, but a standalone daemon with a Ruby wrapper. It looks like the failure is due to the Socket#setsockopt in Capybara::Webkit::Connection, which is seemingly related to #396.

Jesse Cooke

The compilation of the src/ dir interests us :wink:

Jesse Cooke

Word, that's OK, we still want to keep it on the list :smile:

Matthew Horan
Collaborator

Merged in. e80a9c8 should have fixed the build issues on Travis.

Matthew Horan mhoran closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Nov 19, 2012
  1. Jesse Cooke

    Allow rbx to fail in 1.9 mode

    jc00ke authored
This page is out of date. Refresh to see the latest.
Showing with 4 additions and 0 deletions.
  1. +4 −0 .travis.yml
4 .travis.yml
View
@@ -1,6 +1,10 @@
language: ruby
rvm:
- 1.9.3
+ - rbx-19mode
+matrix:
+ allow_failures:
+ - rvm: rbx-19mode
notifications:
email: false
script: xvfb-run rake
Something went wrong with that request. Please try again.